Browse Source

Use stable upper-constraints.txt in Amphora builds

Amphora builds are now using upper-constraints.txt file from master.
This is incorrect and makes the build fail as some newer versions of
libs are not available for Python 3. This commit makes sure the file is
taken from stable/train branch.

Change-Id: Ifacbd1953c3d8719539a9f4012eb34669bb164e2
changes/27/705927/2
Michał Dulko 2 weeks ago
parent
commit
b033485985
2 changed files with 7 additions and 2 deletions
  1. +2
    -2
      elements/amphora-agent/source-repository-amphora-agent
  2. +5
    -0
      releasenotes/notes/fix-amphora-agent-branch-checkout-e2eeb19c6aa09535.yaml

+ 2
- 2
elements/amphora-agent/source-repository-amphora-agent View File

@@ -1,3 +1,3 @@
# This is used for source-based builds
amphora-agent git /opt/amphora-agent https://opendev.org/openstack/octavia
upper-constraints file /opt/upper-constraints.txt https://opendev.org/openstack/requirements/raw/branch/master/upper-constraints.txt
amphora-agent git /opt/amphora-agent https://opendev.org/openstack/octavia stable/train
upper-constraints file /opt/upper-constraints.txt https://opendev.org/openstack/requirements/raw/branch/stable/train/upper-constraints.txt

+ 5
- 0
releasenotes/notes/fix-amphora-agent-branch-checkout-e2eeb19c6aa09535.yaml View File

@@ -0,0 +1,5 @@
---
fixes:
- |
Fixed an issue where the the amphora image create tool would checkout the
master amphora-agent code and master upper constraints.

Loading…
Cancel
Save